function Controller() {
    function doClick() {
        alertTime = new Date(new Date().getTime() + 15e3);
        Ti.App.iOS.scheduleLocalNotification({
            alertBody: "Did you take your dose at ?" + alertTime.getTime(),
            userInfo: {
                id: alertTime.getTime()
            },
            date: alertTime
        });
        alert("scheduled " + alertTime.getTime() + " alert");
    }
    function unClick() {
        alert("cancelling " + alertTime.getTime());
        Ti.App.iOS.cancelLocalNotification(alertTime.getTime());
    }
    require("alloy/controllers/BaseController").apply(this, Array.prototype.slice.call(arguments));
    this.__controllerPath = "index";
    arguments[0] ? arguments[0]["__parentSymbol"] : null;
    arguments[0] ? arguments[0]["$model"] : null;
    arguments[0] ? arguments[0]["__itemTemplate"] : null;
    var $ = this;
    var exports = {};
    var __defers = {};
    $.__views.index = Ti.UI.createWindow({
        backgroundColor: "white",
        id: "index"
    });
    $.__views.index && $.addTopLevelView($.__views.index);
    $.__views.label = Ti.UI.createLabel({
        width: Ti.UI.SIZE,
        height: Ti.UI.SIZE,
        color: "#000",
        text: "Schedule 10 Sec from now",
        id: "label"
    });
    $.__views.index.add($.__views.label);
    doClick ? $.__views.label.addEventListener("click", doClick) : __defers["$.__views.label!click!doClick"] = true;
    $.__views.cancel = Ti.UI.createLabel({
        width: Ti.UI.SIZE,
        height: Ti.UI.SIZE,
        color: "#000",
        bottom: 20,
        text: "Cancel",
        id: "cancel"
    });
    $.__views.index.add($.__views.cancel);
    unClick ? $.__views.cancel.addEventListener("click", unClick) : __defers["$.__views.cancel!click!unClick"] = true;
    exports.destroy = function() {};
    _.extend($, $.__views);
    $.index.open();
    __defers["$.__views.label!click!doClick"] && $.__views.label.addEventListener("click", doClick);
    __defers["$.__views.cancel!click!unClick"] && $.__views.cancel.addEventListener("click", unClick);
    _.extend($, exports);
}

var Alloy = require("alloy"), Backbone = Alloy.Backbone, _ = Alloy._;

module.exports = Controller;